package domowe.r3.pracownik;

public class PracownikPremia extends Pracownik {
	private int sumaPremii = 0;
	
	public PracownikPremia(int stawka) {
		super(stawka);
	}

	public void premia(int kwota) {
		sumaPremii += kwota;
	}
	
	@Override
	public int wyplata() {
		try {
			return super.wyplata() + sumaPremii;
		} finally {
			sumaPremii = 0;
		}
	}

}
